local UIinfo = {}
require "TSLib"
local gamebid = "com.idleif.abyssrium"

function unlock()--防锁屏
	flag = deviceIsLock()
	if flag ~= 0 then
		sysver = getOSVer()
		sysint = tonumber(string.sub(sysver, 1, 1)..string.sub(sysver, 2, 2))--转化为数字版本号
		if sysint == 10 then
			pressHomeKey(0)
		end
		unlockDevice()
	end
end

function speedup()--加速
	if getOSType() == "ios" then
		tsver = getTSVer();     --获取触动精灵引擎版本
		tsint = tonumber(string.sub(tsver, 1, 1)..string.sub(tsver, 3,3)..string.sub(tsver, 5,5));--转化为数字版本号
		if tsint >= 239 then
			changeSpeed(times)
		end
	end
end

function gamestart()
	runApp(gamebid)
	mSleep(3000)
	speedup()
end

w,h = getScreenSize()
if w == 640 and h == 1136 then
	require "5c"
elseif w == 768 and h == 1024 then
	require "ipad"
elseif w == 1536 and h == 2048 then
	require "ipadhd"
elseif w == 750 and h == 1334 then
	require "6s"
elseif w == 1242 and h == 2208 then
	require "6P"
elseif w == 480 and h == 854 then
	require "480p"
elseif w == 540 and h == 960 then
	require "540p"
elseif w == 720 and h == 1280 then
	require "720p"
elseif w == 1080 and h == 1920 then
	require "1080p"
else
	setScreenScale(true, 480, 800)
	require "480p"
	setScreenScale(false)
end

UINew("丸子深海水族馆挂机辅助","立即运行","立即退出","shszg.dat",0,30)
UILabel("根据机型选择点击速度",20,"center","230,50,92")
UIRadio("step","iPhone 6+,iPhone 5 或安卓旗舰,低配千元安卓机,选这个保证不卡,自定义速度(安卓无效)","3")
UILabel("辅助功能",20,"center","230,50,92")
UICheck("check1,check2,check3,check4","自动点击,收集红心/糖果,升级珊瑚石,使用技能","0@1@3")
UILabel("收集设置",20,"center","230,50,92")
UIRadio("bubble","日常红心,活动糖果","1")
UILabel("加速设置（仅支持 iOS）",20,"center","230,50,92")
UIRadio("speed","日常50倍,活动双倍,不加速","0")
UILabel("使用说明",20,"left","230,50,92")
UILabel("请将体积较大的鱼收起以便更容易找到红心。",18,"left","230,50,92")
UILabel("每秒点击次数最好不要超过40次，否则游戏会卡死。",18,"left","230,50,92")
UILabel("游戏攻略、问题反馈请加群:414534539",18,"left","230,50,92")
UIShow()

if step == "iPhone 6+" then
	tapms = 15
elseif step == "iPhone 5 或安卓旗舰" then
	tapms = 23
elseif step == "低配千元安卓机" then
	tapms = 40
elseif step == "选这个保证不卡" then
	tapms = 190
elseif step == "自定义速度(安卓无效)" then
	if getOSType() =="ios" then
		tapms = hyStrNum(dialogInput("每秒点击次数", "数字", "确认"))
		tapms = 1000/tapms-10
		if tapms < 1 then
			tapms = 30
		end
		mSleep(2000)
	else
		tapms = 30
	end
else
	tapms = 30
end

if speed == "日常50倍" then
	times = 50
elseif speed == "活动双倍" then
	times = 2
elseif speed == "不加速" then
	times = 1
end

while (true) do
	if frontAppBid() == gamebid then
		speedup()
		local t1 = os.time()
		while (true) do
			if check1 == "自动点击" then
				tap(w/2,h/2,1)
				--[[if check5 == "解锁小企鹅" then
				tap(w/3,h/3,1)
				tap(w/4,h/4,1)
				tap(w/5,h/5,1)
			end]]--
			mSleep(tapms)
			if os.time() - t1 >= 2 then
				break
			end
		end
		daily()--日常弹窗检测
		if check2 == "收集红心/糖果" then
			if bubble == "日常红心" then
				collect()
			elseif bubble == "活动糖果" then
				festival()
			end
		end
		if check3 == "升级珊瑚石" then
			menu()
			stoneup()
		end
		if check4 == "使用技能" then
			menu()
			stoneskill()
		end
		end
	else
		gamestart()
	end
end